Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512720 - performance issue - 10 FPS less with wayland
Summary: performance issue - 10 FPS less with wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 23:07 UTC by customercare
Modified: 2017-12-12 10:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:25 UTC


Attachments (Terms of Use)

Description customercare 2017-11-13 23:07:10 UTC
Description of problem:

2D & 3D performance under wayland is slower than under the real x-server.

I measured the performance with the same settings/cpu/memory/gfx etc.

Gnome with XOrg: 170 FPS top
Gnome with Wayland: 160 FPS top
Cinnamon : 160 FPS top


Game tested: 

EVE Online ( via Wine DX9 ) 
GFX: Nvidia GTX 1050 - Allow Flipping + Sync to blank + only 1 FULL HD display via HDMI

Version-Release number of selected component (if applicable):

egl-wayland-1.0.2-0.4.20170802git1f4b1fd.fc25.i686
libwayland-server-1.12.0-1.fc25.x86_64
libwayland-cursor-1.12.0-1.fc25.x86_64
ibus-wayland-1.5.14-6.fc25.x86_64
wayland-protocols-devel-1.7-1.fc25.noarch
xorg-x11-server-Xwayland-1.19.3-1.fc25.x86_64
gnome-session-wayland-session-3.22.3-1.fc25.x86_64
mesa-libwayland-egl-17.0.5-3.fc25.x86_64
libwayland-server-1.12.0-1.fc25.i686
mesa-libwayland-egl-17.0.5-3.fc25.i686
egl-wayland-1.0.2-0.4.20170802git1f4b1fd.fc25.x86_64
libwayland-client-1.12.0-1.fc25.i686
mesa-libwayland-egl-devel-17.0.5-3.fc25.x86_64
kf5-kwayland-5.38.0-1.fc25.x86_64
wayland-devel-1.12.0-1.fc25.x86_64
libwayland-client-1.12.0-1.fc25.x86_64


How reproducible:

100% reliable

Steps to Reproduce:

In terms of the game used:

1. dock at a station ( to have the same scenes for testing )
2. hit CTRL+F ( FPS Counter )
3. hit ESC ( GFX Menu )
4. change the intervalmode from "One" to "Intermediate"

Actual results:

Wayland -10 FPS compared to X-ORG

Expected results:

Same performance on both, as it's the same hardware in use.

Additional info:

Gnome with XORG also feels a bit faster in 2D mode, compared to Wayland.
Windows move smoother, react faster etc. 

Either can screen recordings on Xorg be done without "tearing", as with wayland i have a lot of tearing in the gfx output  both on screen and captured on disk.

With Xorg running, everything works AS EXPECTED : FULL HD 30 FPS Capturing with SimpleScreenRecorder and next to 0.00 artifects.

doing the same under wayland produces a shitload of artifects, because the gfx card can't render the entire scenes in time, before they get read out by the screen recorder again. It's such a better result, it's unbelieveable if you did not see it for yourself.

Honestly: Wayland is not yet perfect and XORG should not be removed, before this is fixed. Doing Lets-Play-Videos on Linux would be just looking extrem bad.

Comment 1 Fedora End Of Life 2017-11-16 18:54:36 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:04:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.